# Interface ModuleEventData

#### Hierarchy

- EventData
  - ModuleEventData
    - ArchivistModuleEventData
    - DivinerModuleEventData
    - NodeModuleEventData
    - SentinelModuleEventData
    - WitnessModuleEventData

- Defined in modules/packages/module/packages/model/dist/types/Module.d.ts:36

#####
Index

### Properties

moduleQueried

## Properties

### moduleQueried

moduleQueried: {
module: Module<ModuleParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.module.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<undefined, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, ModuleEventData>;
} & {
payloads?: (SchemaFields & PayloadFields & {
schema: string;
})[];
query: SchemaFields & PayloadFields & BoundWitnessFields & {
query: string;
resultSet?: string;
schema: "network.xyo.boundwitness";
};
result: [SchemaFields & PayloadFields & BoundWitnessFields & {
schema: "network.xyo.boundwitness";
}, (SchemaFields & PayloadFields & {
schema: string;
})[]];
}

- Defined in modules/packages/module/packages/model/dist/types/Module.d.ts:37

Generated using TypeDoc